[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# AnsiCompareFileName

Compare 2 filenames.

## Declaration

Source position: sysansih.inc line 14

`function AnsiCompareFileName(`
`const S1: string;`
`const S2: string`
`):SizeInt;`

## Description

AnsiCompareFileName compares 2 filenames S1 and S2, and returns

< 0
  if S1<S2.
= 0
  if S1=S2.
> 0
  if S1>S2.

The function actually checks FileNameCaseSensitive and returns the result of AnsiCompareStr or AnsiCompareText depending on whether FileNameCaseSensitive is True or False

## Errors

None.

## See also

AnsiCompareStr |  | Compare 2 ansistrings, case sensitive, ignoring accents characters.
AnsiCompareText |  | Compare 2 ansistrings, case insensitive, ignoring accents characters.
AnsiLowerCaseFileName |  | Convert filename to lowercase.

Documentation generated on: Feb 26 2014